INITRDFS(8)

NAME
initrdfs - view initialization ramdisk

SYNOPSIS
initrdfs [--check] initrd [ ls [-a] path | cat path]

DESCRIPTION
initrdfs opens a initrd(7) made with mkinitrd(8) and lets you view the stored directories and files.

The options are as follows:

-a  (ls) Include directory entries whose names begin with a dot (‘’)..

initrdfs supports these commands:

ls  List the directory path.

cat Show the contents of the file path.

EXIT STATUS
initrdfs will exit 0 on success and non-zero otherwise.

SEE ALSO
initrd(7), mkinitrd(8)

BUGS
initrdfs is severely feature limited and doesn't actually let you extract an initrd or view all the contained meta information. It's also not a filesystem driver.